Bug 430019 - ipa-server-install --setup-bind lets you use an hostname which does not match the IP address given
ipa-server-install --setup-bind lets you use an hostname which does not match...
Status: CLOSED NOTABUG
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 01:55 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 02:18:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-01-24 01:55:59 EST
Ticket #123 (reopened defect)

Opened 2 months ago

Last modified 1 month ago
ipa-server-install --setup-bind lets you use an hostname which does not match the IP address given
Reported by: 	shillman 	Assigned to: 	davido
Priority: 	minor 	Milestone: 	release-1
Component: 	ipa-server 	Version: 	1.0
Keywords: 		Cc: 	
Description ¶

Technically, the hostname gave matches nowhere, to my knowledge, but it seems like it'd be really, really bad to let someone tell the IPA server be a bind server if it cannot match the hostnmae with its IP address.

It's also a bit odd that the hosts file gets edited while one is still in the middle of the script, but seems less dramatically bad.
Change History
2007-12-05 11:41:05 changed by simo ¶

    * priority changed from major to minor.

2007-12-05 21:38:11 changed by shaines ¶

    * owner changed from kmacmill to davido.

Reassigning to David O'Brien. To be documented. DavidO to speak with SuzanneH to clarify.
2007-12-06 09:53:37 changed by shillman ¶

    * status changed from new to closed.
    * resolution set to invalid.

2007-12-06 11:45:17 changed by shillman ¶

    * status changed from closed to reopened.
    * resolution deleted.

If one is setting up

    bind via --setup-bind, why does ipa-server-install even do a check on the hostname one specifies in the first place? I mean, I guess it can't hurt to do, but that is definitely why I got confused.

Ahhh - now that is a good point. And just one of the things on the list of why setup-bind is half-baked. Can you add this to the bug so we don't forget. I don't think it's a show stopper, but always prompting for hostname and not verifying seems like the right thing when --setup-bind is set.

[unclosing so that this doesn't get lost, but I think the bug as is is invalid]
2007-12-20 15:13:43 changed by kmacmill ¶

    * milestone changed from milestone-6 to release-1
Comment 3 Chandrasekar Kannan 2008-02-26 02:18:51 EST
per bug council on 02/20, closed/notabug

Note You need to log in before you can comment on or make changes to this bug.